# Generated by Django 4.0.3 on 2023-04-20 18:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('hats_rest', '0004_remove_locationvo_section_number_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Hat',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fabric', models.CharField(max_length=50)),
                ('style_name', models.CharField(max_length=50)),
                ('color', models.CharField(max_length=50)),
                ('picture_url', models.URLField(null=True)),
                ('location', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hat', to='hats_rest.locationvo')),
            ],
        ),
        migrations.DeleteModel(
            name='Hats',
        ),
    ]
